# Criteo API SDK for Python

## Introduction
API Client Libraries can facilitate your use of the Criteo API allowing you to build unique and customized solutions to serve your businesses and clients.
These libraries can reduce the amount of code you need to write in order to start accessing Criteo programmatically. They also can help expedite troubleshooting, should you encounter any issues.

More information on how to use Criteo API and these SDKs can be found at: [https://developers.criteo.com/](https://developers.criteo.com/).

This Python package is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:

- Package version: 2024.10.0.250129

## Requirements

Python 2.7 and 3.5+

## Installation & Usage
### pip install

```sh
pip install criteo-api-retailmedia-sdk==2024.10.0.250129
```
(you may need to run `pip` with root permission: `sudo pip install criteo-api-retailmedia-sdk==2024.10.0.250129`)

Then import the package:
```python
import criteo_api_retailmedia_v2024_10
```

### Manual Installation using [Setuptools](http://pypi.python.org/pypi/setuptools)

Download the code or clone the repository locally, then execute the following command:

```sh
python setup.py install --user
```
(or `sudo python setup.py install` to install the package for all users)

Then import the package:
```python
import criteo_api_retailmedia_v2024_10
```

## Example
There are multiple examples for the different OAuth flows that the SDK supports.
- See [test/example_application_with_client_credentials.py](test/example_application_with_client_credentials.py) for an example with Client Credentials.
- See [test/example_application_with_auth_code.py](test/example_application_with_auth_code.py) for an example with Authorization Code.
Once you follow the authorization code flow, you will have a refresh token that has to be used to regenerate access token for future usage. 
    - See [test/example_application_with_refresh_token.py](test/example_application_with_refresh_token.py) for an example with Refresh Token .

## Documentation for API Endpoints

The developers documentation is available at: *https://developers.criteo.com*.

All URIs are relative to *https://api.criteo.com*.

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------


## Documentation For Models

 - [AddFundsToBalanceV2](docs/AddFundsToBalanceV2.md)
 - [AddFundsToBalanceV2Request](docs/AddFundsToBalanceV2Request.md)
 - [AddRemoveKeywordModel](docs/AddRemoveKeywordModel.md)
 - [AddRemoveKeywordsModel](docs/AddRemoveKeywordsModel.md)
 - [AddRemoveKeywordsModelRequest](docs/AddRemoveKeywordsModelRequest.md)
 - [AddRemoveKeywordsModelResource](docs/AddRemoveKeywordsModelResource.md)
 - [AddToBasketIdsUpdateModel202110Request](docs/AddToBasketIdsUpdateModel202110Request.md)
 - [AddToBasketTarget202110Request](docs/AddToBasketTarget202110Request.md)
 - [AddToBasketTarget202110Response](docs/AddToBasketTarget202110Response.md)
 - [ApplicationSummaryModel](docs/ApplicationSummaryModel.md)
 - [ApplicationSummaryModelResource](docs/ApplicationSummaryModelResource.md)
 - [ApplicationSummaryModelResponse](docs/ApplicationSummaryModelResponse.md)
 - [Asset](docs/Asset.md)
 - [AssetResource](docs/AssetResource.md)
 - [AssetResponse](docs/AssetResponse.md)
 - [AsyncCampaignsReport](docs/AsyncCampaignsReport.md)
 - [AsyncCampaignsReportRequest](docs/AsyncCampaignsReportRequest.md)
 - [AsyncCampaignsReportResource](docs/AsyncCampaignsReportResource.md)
 - [AsyncLineItemsReport](docs/AsyncLineItemsReport.md)
 - [AsyncLineItemsReportRequest](docs/AsyncLineItemsReportRequest.md)
 - [AsyncLineItemsReportResource](docs/AsyncLineItemsReportResource.md)
 - [AsyncReportResponse](docs/AsyncReportResponse.md)
 - [AsyncRevenueReport](docs/AsyncRevenueReport.md)
 - [AsyncRevenueReportRequest](docs/AsyncRevenueReportRequest.md)
 - [AsyncRevenueReportResource](docs/AsyncRevenueReportResource.md)
 - [AuctionLineItemCreateModelRequest](docs/AuctionLineItemCreateModelRequest.md)
 - [AuctionLineItemPagedListResponse](docs/AuctionLineItemPagedListResponse.md)
 - [AuctionLineItemResponse](docs/AuctionLineItemResponse.md)
 - [AuctionLineItemUpdateModelRequest](docs/AuctionLineItemUpdateModelRequest.md)
 - [AudienceError](docs/AudienceError.md)
 - [AudienceIdsUpdateModel202110Request](docs/AudienceIdsUpdateModel202110Request.md)
 - [AudienceTarget202110Request](docs/AudienceTarget202110Request.md)
 - [AudienceTarget202110Response](docs/AudienceTarget202110Response.md)
 - [AudienceWarning](docs/AudienceWarning.md)
 - [BalanceCampaign202110ListRequest](docs/BalanceCampaign202110ListRequest.md)
 - [BalanceCampaign202110PagedListResponse](docs/BalanceCampaign202110PagedListResponse.md)
 - [BalanceHistoryChangeDataCaptureV1](docs/BalanceHistoryChangeDataCaptureV1.md)
 - [BalanceResponseV2](docs/BalanceResponseV2.md)
 - [BalanceResponseV2Response](docs/BalanceResponseV2Response.md)
 - [CampaignAttributesV202301](docs/CampaignAttributesV202301.md)
 - [CampaignBudgetOverrides](docs/CampaignBudgetOverrides.md)
 - [CampaignDailyBudgetOverride](docs/CampaignDailyBudgetOverride.md)
 - [CampaignMonthlyBudgetOverride](docs/CampaignMonthlyBudgetOverride.md)
 - [CampaignV202301](docs/CampaignV202301.md)
 - [Category202204](docs/Category202204.md)
 - [Category202204ListResponse](docs/Category202204ListResponse.md)
 - [ChangeDatesOfBalanceV2](docs/ChangeDatesOfBalanceV2.md)
 - [ChangeDatesOfBalanceV2Request](docs/ChangeDatesOfBalanceV2Request.md)
 - [ChangeDetailsV1](docs/ChangeDetailsV1.md)
 - [ChoiceOption](docs/ChoiceOption.md)
 - [ChoiceVariableSpecification](docs/ChoiceVariableSpecification.md)
 - [ChoiceVariableValue](docs/ChoiceVariableValue.md)
 - [ColorVariableValue](docs/ColorVariableValue.md)
 - [CommonError](docs/CommonError.md)
 - [CommonLineItemPagedListResponse](docs/CommonLineItemPagedListResponse.md)
 - [CommonLineItemResponse](docs/CommonLineItemResponse.md)
 - [CommonProblem](docs/CommonProblem.md)
 - [CommonWarning](docs/CommonWarning.md)
 - [CreateBalanceV2](docs/CreateBalanceV2.md)
 - [CreateBalanceV2Request](docs/CreateBalanceV2Request.md)
 - [Creative2](docs/Creative2.md)
 - [Creative202110](docs/Creative202110.md)
 - [Creative202110ListResponse](docs/Creative202110ListResponse.md)
 - [Creative202210](docs/Creative202210.md)
 - [Creative202210Response](docs/Creative202210Response.md)
 - [Creative2ListResponse](docs/Creative2ListResponse.md)
 - [Creative2Response](docs/Creative2Response.md)
 - [CreativeCreateModel202207](docs/CreativeCreateModel202207.md)
 - [CreativeUpdateModel202207](docs/CreativeUpdateModel202207.md)
 - [DailyLineItemBudgetOverride](docs/DailyLineItemBudgetOverride.md)
 - [EditableCampaignAttributesV202301](docs/EditableCampaignAttributesV202301.md)
 - [EntityResourceOfRetailMediaAccount](docs/EntityResourceOfRetailMediaAccount.md)
 - [EntityResourceOutcomeOfRetailMediaAccount](docs/EntityResourceOutcomeOfRetailMediaAccount.md)
 - [ErrorCodeResponse](docs/ErrorCodeResponse.md)
 - [ExternalAccount](docs/ExternalAccount.md)
 - [ExternalAddToBasketIdsUpdateModel202110](docs/ExternalAddToBasketIdsUpdateModel202110.md)
 - [ExternalAddToBasketTarget202110](docs/ExternalAddToBasketTarget202110.md)
 - [ExternalAuctionLineItem](docs/ExternalAuctionLineItem.md)
 - [ExternalAuctionLineItemCreateModel](docs/ExternalAuctionLineItemCreateModel.md)
 - [ExternalAuctionLineItemUpdateModel](docs/ExternalAuctionLineItemUpdateModel.md)
 - [ExternalAudienceIdsUpdateModel202110](docs/ExternalAudienceIdsUpdateModel202110.md)
 - [ExternalAudienceTarget202110](docs/ExternalAudienceTarget202110.md)
 - [ExternalBrand](docs/ExternalBrand.md)
 - [ExternalCatalogRequest](docs/ExternalCatalogRequest.md)
 - [ExternalCatalogStatus](docs/ExternalCatalogStatus.md)
 - [ExternalCommonLineItem](docs/ExternalCommonLineItem.md)
 - [ExternalKeywordTarget202110](docs/ExternalKeywordTarget202110.md)
 - [ExternalLineItemBidMultipliersV2](docs/ExternalLineItemBidMultipliersV2.md)
 - [ExternalLineItemCappingV2](docs/ExternalLineItemCappingV2.md)
 - [ExternalLineItemPageCategoryV2](docs/ExternalLineItemPageCategoryV2.md)
 - [ExternalLineItemPageV2](docs/ExternalLineItemPageV2.md)
 - [ExternalPreferredLineItemCreateModelV2](docs/ExternalPreferredLineItemCreateModelV2.md)
 - [ExternalPreferredLineItemUpdateModelV2](docs/ExternalPreferredLineItemUpdateModelV2.md)
 - [ExternalPreferredLineItemV2](docs/ExternalPreferredLineItemV2.md)
 - [ExternalRetailMediaAccount](docs/ExternalRetailMediaAccount.md)
 - [ExternalRetailMediaBrandAccountCreation](docs/ExternalRetailMediaBrandAccountCreation.md)
 - [ExternalRetailMediaBrands](docs/ExternalRetailMediaBrands.md)
 - [ExternalRetailMediaSeller](docs/ExternalRetailMediaSeller.md)
 - [ExternalRetailMediaSellerAccountCreation](docs/ExternalRetailMediaSellerAccountCreation.md)
 - [ExternalRetailer](docs/ExternalRetailer.md)
 - [ExternalRetailerPages202110](docs/ExternalRetailerPages202110.md)
 - [ExternalStoreIdsUpdateModel202110](docs/ExternalStoreIdsUpdateModel202110.md)
 - [ExternalStoreTarget202110](docs/ExternalStoreTarget202110.md)
 - [FilesVariableValue](docs/FilesVariableValue.md)
 - [FilesVariablesSpecification](docs/FilesVariablesSpecification.md)
 - [HyperlinkVariableValue](docs/HyperlinkVariableValue.md)
 - [InputKeywordsModel](docs/InputKeywordsModel.md)
 - [InputResourceOfAuctionLineItemCreateModel](docs/InputResourceOfAuctionLineItemCreateModel.md)
 - [InputResourceOfPreferredLineItemCreateModelV2](docs/InputResourceOfPreferredLineItemCreateModelV2.md)
 - [JsonApiBodyWithExternalIdOfEditableCampaignAttributesV202301AndCampaignV202301](docs/JsonApiBodyWithExternalIdOfEditableCampaignAttributesV202301AndCampaignV202301.md)
 - [JsonApiBodyWithIdOfInt64AndAccountAndAccount](docs/JsonApiBodyWithIdOfInt64AndAccountAndAccount.md)
 - [JsonApiBodyWithIdOfInt64AndBrandAndBrand](docs/JsonApiBodyWithIdOfInt64AndBrandAndBrand.md)
 - [JsonApiBodyWithIdOfInt64AndCampaignV202301AndCampaignV202301](docs/JsonApiBodyWithIdOfInt64AndCampaignV202301AndCampaignV202301.md)
 - [JsonApiBodyWithIdOfInt64AndCatalogStatusAndCatalogStatus](docs/JsonApiBodyWithIdOfInt64AndCatalogStatusAndCatalogStatus.md)
 - [JsonApiBodyWithIdOfInt64AndLineItemBidMultipliersV2AndLineItemBidMultipliersV2](docs/JsonApiBodyWithIdOfInt64AndLineItemBidMultipliersV2AndLineItemBidMultipliersV2.md)
 - [JsonApiBodyWithIdOfInt64AndRetailerAndRetailer](docs/JsonApiBodyWithIdOfInt64AndRetailerAndRetailer.md)
 - [JsonApiBodyWithoutIdOfCampaignAttributesV202301AndCampaignV202301](docs/JsonApiBodyWithoutIdOfCampaignAttributesV202301AndCampaignV202301.md)
 - [JsonApiBodyWithoutIdOfCatalogRequestAndCatalogRequest](docs/JsonApiBodyWithoutIdOfCatalogRequestAndCatalogRequest.md)
 - [JsonApiPageResponseOfAccount](docs/JsonApiPageResponseOfAccount.md)
 - [JsonApiPageResponseOfBrand](docs/JsonApiPageResponseOfBrand.md)
 - [JsonApiPageResponseOfCampaignV202301](docs/JsonApiPageResponseOfCampaignV202301.md)
 - [JsonApiPageResponseOfRetailer](docs/JsonApiPageResponseOfRetailer.md)
 - [JsonApiRequestOfCatalogRequest](docs/JsonApiRequestOfCatalogRequest.md)
 - [JsonApiSingleResponseOfCampaignV202301](docs/JsonApiSingleResponseOfCampaignV202301.md)
 - [JsonApiSingleResponseOfCatalogStatus](docs/JsonApiSingleResponseOfCatalogStatus.md)
 - [JsonApiSingleResponseOfLineItemBidMultipliersV2](docs/JsonApiSingleResponseOfLineItemBidMultipliersV2.md)
 - [KeywordDataModel](docs/KeywordDataModel.md)
 - [KeywordTarget202110Request](docs/KeywordTarget202110Request.md)
 - [KeywordTarget202110Response](docs/KeywordTarget202110Response.md)
 - [KeywordsModel](docs/KeywordsModel.md)
 - [KeywordsModelResource](docs/KeywordsModelResource.md)
 - [KeywordsModelResponse](docs/KeywordsModelResponse.md)
 - [LineItemBidMultipliersV2Request](docs/LineItemBidMultipliersV2Request.md)
 - [LineItemBidMultipliersV2Response](docs/LineItemBidMultipliersV2Response.md)
 - [LineItemBudgetOverrides](docs/LineItemBudgetOverrides.md)
 - [LineItemProductStatus](docs/LineItemProductStatus.md)
 - [MatchTypeModel](docs/MatchTypeModel.md)
 - [Metadata](docs/Metadata.md)
 - [MonthlyLineItemBudegetOverride](docs/MonthlyLineItemBudegetOverride.md)
 - [NillableString](docs/NillableString.md)
 - [PageMetadata](docs/PageMetadata.md)
 - [PageOfBalanceHistoryChangeDataCaptureV1](docs/PageOfBalanceHistoryChangeDataCaptureV1.md)
 - [PageTypeEnvironment2](docs/PageTypeEnvironment2.md)
 - [PageTypeEnvironment202210](docs/PageTypeEnvironment202210.md)
 - [PagedResourceCollectionOutcomeOfBalanceResponseV2](docs/PagedResourceCollectionOutcomeOfBalanceResponseV2.md)
 - [PostCampaignV202301](docs/PostCampaignV202301.md)
 - [PreferredLineItemCreateModelV2Request](docs/PreferredLineItemCreateModelV2Request.md)
 - [PreferredLineItemUpdateModelV2Request](docs/PreferredLineItemUpdateModelV2Request.md)
 - [PreferredLineItemV2PagedListResponse](docs/PreferredLineItemV2PagedListResponse.md)
 - [PreferredLineItemV2Response](docs/PreferredLineItemV2Response.md)
 - [ProblemDetails](docs/ProblemDetails.md)
 - [ProductMetadata](docs/ProductMetadata.md)
 - [ProductResourceOutcome](docs/ProductResourceOutcome.md)
 - [PromotedProduct](docs/PromotedProduct.md)
 - [PromotedProductResource](docs/PromotedProductResource.md)
 - [PromotedProductResourceCollectionInput](docs/PromotedProductResourceCollectionInput.md)
 - [PromotedProductResourceCollectionOutcome](docs/PromotedProductResourceCollectionOutcome.md)
 - [PutCampaignV202301](docs/PutCampaignV202301.md)
 - [ReportOutcome](docs/ReportOutcome.md)
 - [ResourceOfAddFundsToBalanceV2](docs/ResourceOfAddFundsToBalanceV2.md)
 - [ResourceOfAuctionLineItem](docs/ResourceOfAuctionLineItem.md)
 - [ResourceOfAuctionLineItemUpdateModel](docs/ResourceOfAuctionLineItemUpdateModel.md)
 - [ResourceOfBalanceCampaign202110](docs/ResourceOfBalanceCampaign202110.md)
 - [ResourceOfBalanceResponseV2](docs/ResourceOfBalanceResponseV2.md)
 - [ResourceOfCategory202204](docs/ResourceOfCategory202204.md)
 - [ResourceOfChangeDatesOfBalanceV2](docs/ResourceOfChangeDatesOfBalanceV2.md)
 - [ResourceOfCommonLineItem](docs/ResourceOfCommonLineItem.md)
 - [ResourceOfCreateBalanceV2](docs/ResourceOfCreateBalanceV2.md)
 - [ResourceOfCreative2](docs/ResourceOfCreative2.md)
 - [ResourceOfCreative202110](docs/ResourceOfCreative202110.md)
 - [ResourceOfCreative202210](docs/ResourceOfCreative202210.md)
 - [ResourceOfLineItemBidMultipliersV2](docs/ResourceOfLineItemBidMultipliersV2.md)
 - [ResourceOfPreferredLineItemUpdateModelV2](docs/ResourceOfPreferredLineItemUpdateModelV2.md)
 - [ResourceOfPreferredLineItemV2](docs/ResourceOfPreferredLineItemV2.md)
 - [ResourceOfTemplate](docs/ResourceOfTemplate.md)
 - [ResourceOfUpdateBalanceModelV2](docs/ResourceOfUpdateBalanceModelV2.md)
 - [ResourceOutcome](docs/ResourceOutcome.md)
 - [RetailMediaContactlistAmendment](docs/RetailMediaContactlistAmendment.md)
 - [RetailMediaContactlistAmendmentAttributes](docs/RetailMediaContactlistAmendmentAttributes.md)
 - [RetailMediaContactlistAmendmentRequest](docs/RetailMediaContactlistAmendmentRequest.md)
 - [RetailMediaContactlistOperation](docs/RetailMediaContactlistOperation.md)
 - [RetailMediaContactlistOperationResponseAttributes](docs/RetailMediaContactlistOperationResponseAttributes.md)
 - [RetailMediaContactlistOperationResponseAttributesAttributes](docs/RetailMediaContactlistOperationResponseAttributesAttributes.md)
 - [ReviewStateModel](docs/ReviewStateModel.md)
 - [RmAlgebraNodeV1](docs/RmAlgebraNodeV1.md)
 - [RmAudienceEntityV1](docs/RmAudienceEntityV1.md)
 - [RmAudienceEntityV1Resource](docs/RmAudienceEntityV1Resource.md)
 - [RmAudienceEntityV1RmAudienceSearchMetadataV1ListResponse](docs/RmAudienceEntityV1RmAudienceSearchMetadataV1ListResponse.md)
 - [RmAudienceSearchEntityV1](docs/RmAudienceSearchEntityV1.md)
 - [RmAudienceSearchEntityV1Resource](docs/RmAudienceSearchEntityV1Resource.md)
 - [RmAudienceSearchInputV1](docs/RmAudienceSearchInputV1.md)
 - [RmAudienceSearchMetadataV1](docs/RmAudienceSearchMetadataV1.md)
 - [RmAudienceSegmentBulkCreateInputV1](docs/RmAudienceSegmentBulkCreateInputV1.md)
 - [RmAudienceSegmentBulkDeleteInputV1](docs/RmAudienceSegmentBulkDeleteInputV1.md)
 - [RmAudienceSegmentBulkUpdateInputV1](docs/RmAudienceSegmentBulkUpdateInputV1.md)
 - [RmAudienceSegmentCreateEntityV1](docs/RmAudienceSegmentCreateEntityV1.md)
 - [RmAudienceSegmentCreateEntityV1Resource](docs/RmAudienceSegmentCreateEntityV1Resource.md)
 - [RmAudienceSegmentDeleteEntityV1Resource](docs/RmAudienceSegmentDeleteEntityV1Resource.md)
 - [RmAudienceSegmentEntityV1](docs/RmAudienceSegmentEntityV1.md)
 - [RmAudienceSegmentEntityV1ListResponse](docs/RmAudienceSegmentEntityV1ListResponse.md)
 - [RmAudienceSegmentEntityV1Resource](docs/RmAudienceSegmentEntityV1Resource.md)
 - [RmAudienceSegmentEntityV1RmAudienceSegmentSearchMetadataV1ListResponse](docs/RmAudienceSegmentEntityV1RmAudienceSegmentSearchMetadataV1ListResponse.md)
 - [RmAudienceSegmentIdEntityV1ListResponse](docs/RmAudienceSegmentIdEntityV1ListResponse.md)
 - [RmAudienceSegmentIdEntityV1Resource](docs/RmAudienceSegmentIdEntityV1Resource.md)
 - [RmAudienceSegmentSearchEntityV1](docs/RmAudienceSegmentSearchEntityV1.md)
 - [RmAudienceSegmentSearchEntityV1Resource](docs/RmAudienceSegmentSearchEntityV1Resource.md)
 - [RmAudienceSegmentSearchInputV1](docs/RmAudienceSegmentSearchInputV1.md)
 - [RmAudienceSegmentSearchMetadataV1](docs/RmAudienceSegmentSearchMetadataV1.md)
 - [RmAudienceSegmentUpdateEntityV1](docs/RmAudienceSegmentUpdateEntityV1.md)
 - [RmAudienceSegmentUpdateEntityV1Resource](docs/RmAudienceSegmentUpdateEntityV1Resource.md)
 - [RmContactListCreateV1](docs/RmContactListCreateV1.md)
 - [RmContactListStatisticsEntityV1](docs/RmContactListStatisticsEntityV1.md)
 - [RmContactListStatisticsEntityV1Resource](docs/RmContactListStatisticsEntityV1Resource.md)
 - [RmContactListStatisticsEntityV1Response](docs/RmContactListStatisticsEntityV1Response.md)
 - [RmContactListV1](docs/RmContactListV1.md)
 - [RmEventsV1](docs/RmEventsV1.md)
 - [RmcaCommonProblem](docs/RmcaCommonProblem.md)
 - [Section](docs/Section.md)
 - [SetBidModel](docs/SetBidModel.md)
 - [SetBidsModel](docs/SetBidsModel.md)
 - [SetBidsModelRequest](docs/SetBidsModelRequest.md)
 - [SetBidsModelResource](docs/SetBidsModelResource.md)
 - [StatusResponse](docs/StatusResponse.md)
 - [StatusResponseResource](docs/StatusResponseResource.md)
 - [StoreIdsUpdateModel202110Request](docs/StoreIdsUpdateModel202110Request.md)
 - [StoreTarget202110Request](docs/StoreTarget202110Request.md)
 - [StoreTarget202110Response](docs/StoreTarget202110Response.md)
 - [Template](docs/Template.md)
 - [TemplateListResponse](docs/TemplateListResponse.md)
 - [TemplateResponse](docs/TemplateResponse.md)
 - [TemplateVariable](docs/TemplateVariable.md)
 - [TemplateVariableValue](docs/TemplateVariableValue.md)
 - [TextVariableSpecification](docs/TextVariableSpecification.md)
 - [TextVariableValue](docs/TextVariableValue.md)
 - [UpdateBalanceModelV2](docs/UpdateBalanceModelV2.md)
 - [UpdateBalanceModelV2Request](docs/UpdateBalanceModelV2Request.md)
 - [ValueResourceCollectionInputOfRetailMediaSeller](docs/ValueResourceCollectionInputOfRetailMediaSeller.md)
 - [ValueResourceCollectionOutcomeOfRetailMediaSeller](docs/ValueResourceCollectionOutcomeOfRetailMediaSeller.md)
 - [ValueResourceInputOfCampaignBudgetOverrides](docs/ValueResourceInputOfCampaignBudgetOverrides.md)
 - [ValueResourceInputOfLineItemBudgetOverrides](docs/ValueResourceInputOfLineItemBudgetOverrides.md)
 - [ValueResourceInputOfRetailMediaBrandAccountCreation](docs/ValueResourceInputOfRetailMediaBrandAccountCreation.md)
 - [ValueResourceInputOfRetailMediaBrands](docs/ValueResourceInputOfRetailMediaBrands.md)
 - [ValueResourceInputOfRetailMediaSellerAccountCreation](docs/ValueResourceInputOfRetailMediaSellerAccountCreation.md)
 - [ValueResourceOfCampaignBudgetOverrides](docs/ValueResourceOfCampaignBudgetOverrides.md)
 - [ValueResourceOfLineItemBudgetOverrides](docs/ValueResourceOfLineItemBudgetOverrides.md)
 - [ValueResourceOfRetailMediaBrandAccountCreation](docs/ValueResourceOfRetailMediaBrandAccountCreation.md)
 - [ValueResourceOfRetailMediaBrands](docs/ValueResourceOfRetailMediaBrands.md)
 - [ValueResourceOfRetailMediaSeller](docs/ValueResourceOfRetailMediaSeller.md)
 - [ValueResourceOfRetailMediaSellerAccountCreation](docs/ValueResourceOfRetailMediaSellerAccountCreation.md)
 - [ValueResourceOutcomeOfCampaignBudgetOverrides](docs/ValueResourceOutcomeOfCampaignBudgetOverrides.md)
 - [ValueResourceOutcomeOfLineItemBudgetOverrides](docs/ValueResourceOutcomeOfLineItemBudgetOverrides.md)
 - [ValueResourceOutcomeOfRetailMediaBrands](docs/ValueResourceOutcomeOfRetailMediaBrands.md)
 - [ValueTypeResourceOfAddToBasketIdsUpdateModel202110](docs/ValueTypeResourceOfAddToBasketIdsUpdateModel202110.md)
 - [ValueTypeResourceOfAddToBasketTarget202110](docs/ValueTypeResourceOfAddToBasketTarget202110.md)
 - [ValueTypeResourceOfAudienceIdsUpdateModel202110](docs/ValueTypeResourceOfAudienceIdsUpdateModel202110.md)
 - [ValueTypeResourceOfAudienceTarget202110](docs/ValueTypeResourceOfAudienceTarget202110.md)
 - [ValueTypeResourceOfKeywordTarget202110](docs/ValueTypeResourceOfKeywordTarget202110.md)
 - [ValueTypeResourceOfStoreIdsUpdateModel202110](docs/ValueTypeResourceOfStoreIdsUpdateModel202110.md)
 - [ValueTypeResourceOfStoreTarget202110](docs/ValueTypeResourceOfStoreTarget202110.md)
 - [VideoVariableValue](docs/VideoVariableValue.md)


## Disclaimer

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.